In this section
← Baking
- Retrieve bakings linked from a baking
- Publish a baking
- Unpublish a baking
- Retrieve all of the user's bakings
- Create a new baking
- Retrieve the specified baking by its id
- Update an existing baking
- Delete a baking
- Boost a baking
- Unboost a baking
- Create a new media for a baking
- Update a media for a baking
- Delete a media for a baking
On this page
Create a new media for a baking
POST /api/v1/bakings/{eventable_id}/mediaUpload and attach a new image to the specified baking. Only image files are accepted; other formats such as PDF are rejected.
Required Scopes
write
Request Body
Content-Type: multipart/form-data
Schema: object
| Field | Type | Required | Description |
|---|---|---|---|
media |
medium_input |
no |
Responses
201
media created
Schema: medium_output
medium_output
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | yes | |
description |
string | yes | |
created_at |
string | yes | |
original |
string | yes | |
medium |
string | yes | |
small |
string | yes |
422
invalid request
Schema: errors
errors
| Field | Type | Required | Description |
|---|---|---|---|
errors |
object | yes |
Prev
Unboost a status
